=== examples/prerelease/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.1 FATAL_ERROR)
find_package(ignition-cmake0 REQUIRED)
project(ignition-minimal0 VERSION 0.1.0)
ign_configure_project(VERSION_SUFFIX pre1)
ign_configure_build(QUIT_IF_BUILD_ERRORS)
