=== debian/changelog ===
ignition-cmake (0.4.0-1) unstable; urgency=medium

  * New upstream version 0.4.0

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 16 Jan 2018 23:32:15 +0000

ignition-cmake (0.3.0+dfsg1-1) unstable; urgency=medium

  * Imported Upstream version 0.3.0

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 09 Jan 2018 15:45:19 +0000

ignition-cmake (0.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #882237)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 05 Dec 2017 21:05:14 +0100
