=== debian/control ===
Source: ignition-cmake
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               debhelper (>= 11),
               libjs-mathjax,
               libgtest-dev,
               python,
               ruby-ronn
Standards-Version: 4.1.3
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ignition-cmake.git
Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ignition-cmake.git
Homepage: http://ignitionrobotics.org/libraries/cmake

Package: libignition-cmake-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends}
Description: Ignition Robotics CMake Library - Development files
 CMake modules to be used by the Ignition projects.
 .
 This package is required to build ignition projects, as well as to link your
 third party projects against them. It provides modules that are used to find
 dependencies of ignition projects and generate cmake targets for consumers of
 ignition projects to link against.
