=== debian/changelog ===
ignition-cmake (0.4.1-1) unstable; urgency=medium

  * New upstream version 0.4.1

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 01 Mar 2018 18:40:30 +0000
