=== debian/changelog ===
ignition-cmake (0.6.1-1) unstable; urgency=medium

  * New upstream version 0.6.1

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 18 Oct 2018 15:27:37 +0000
