=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
                libgtest-dev,
                python,
                ruby-ronn
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ignition-cmake.git
-Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ignition-cmake.git
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/science-team/ignition-cmake
+Vcs-Git: https://salsa.debian.org/science-team/ignition-cmake.git
 Homepage: http://ignitionrobotics.org/libraries/cmake
 
 Package: libignition-cmake-dev
