=== debian/changelog ===
ignition-cmake (2.2.0-4) unstable; urgency=medium

  * Team upload.
  * Convert to arch all

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 19 Apr 2020 12:04:15 +0200

ignition-cmake (2.2.0-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 18 Apr 2020 11:29:22 +0200

ignition-cmake (2.2.0-2) experimental; urgency=medium

  * Team upload.
  * Update d/watch to Github
  * Drop ruby-ronn (Closes: #903284)
  * Drop python2 (Closes: #936725)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 18 Apr 2020 11:22:03 +0200

ignition-cmake (2.2.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 2.2.0
  * Update packaging

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 14 Apr 2020 19:02:13 +0200

ignition-cmake2 (2.1.1+dfsg-3) unstable; urgency=medium

  * Fix install file. Closes: #947441

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 10 Jan 2020 15:52:30 +0000

ignition-cmake2 (2.1.1+dfsg-2) unstable; urgency=medium

  [ Jose Luis Rivero ]
  * Use Comment tag in copyright
  * Do not to repack sources, tar.gz2 preferred

  [ Jochen Sprickerhof ]
  * Simplify comment in d/copyright

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 25 Dec 2019 22:33:23 +0100

ignition-cmake2 (2.1.1+dfsg-1) unstable; urgency=medium

  * New upstream version 2.1.1
    (Closes: #944539)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 11 Nov 2019 15:46:23 +0000
