=== debian/control ===
--- 
+++ 
@@ -4,21 +4,24 @@
 Section: science
 Priority: optional
 Build-Depends: cmake,
-               debhelper (>= 11),
+               debhelper-compat (= 12),
                libjs-mathjax,
                libgtest-dev,
-               python,
-               ruby-ronn
-Standards-Version: 4.2.1
+               pkg-config,
+               python3
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/science-team/ignition-cmake
 Vcs-Git: https://salsa.debian.org/science-team/ignition-cmake.git
-Homepage: http://ignitionrobotics.org/libraries/cmake
+Rules-Requires-Root: no
+Homepage: https://ignitionrobotics.org/libs/cmake
 
 Package: libignition-cmake-dev
-Architecture: any
-Multi-Arch: same
+Architecture: all
+Multi-Arch: foreign
 Section: libdevel
 Depends: ${misc:Depends}
+Replaces: libignition-cmake2-dev (<< 2.2.0-1)
+Breaks: libignition-cmake2-dev (<< 2.2.0-1)
 Description: Ignition Robotics CMake Library - Development files
  CMake modules to be used by the Ignition projects.
  .
