=== debian/changelog ===
ignition-cmake (2.6.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.6.2

 -- Timo Röhling <timo@gaussglocke.de>  Fri, 22 Jan 2021 12:03:25 +0100

ignition-cmake (2.6.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.6.1
  * Bump Standards-Version to 4.5.1 (no changes)
  * Bump debhelper compat to 13 (no changes)
  * Set proper hashbang for installed Python scripts

 -- Timo Röhling <timo@gaussglocke.de>  Tue, 15 Dec 2020 17:42:26 +0100

ignition-cmake (2.5.0-2) unstable; urgency=medium

  * Team upload.
  * Do not override unit test default timeout.
    On some buildd machines, 240 seconds is too short for the example build
    test of ignition-math. The default value (1500 seconds) is fine.

 -- Timo Röhling <timo@gaussglocke.de>  Thu, 26 Nov 2020 12:04:16 +0100

ignition-cmake (2.5.0-1) unstable; urgency=medium

  * New upstream version 2.5.0

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 10 Sep 2020 19:21:59 +0000
