## ignition-cmake 2.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #============================================================================
 # Initialize the project
 #============================================================================
-project(ignition-cmake2 VERSION 2.6.2)
+project(ignition-cmake2 VERSION 2.7.0)
 
 #--------------------------------------
 # Initialize the IGNITION_CMAKE_DIR variable with the location of the cmake
@@ -20,7 +20,7 @@
 
 #--------------------------------------
 # Set up the project
-ign_configure_project()
+ign_configure_project(VERSION_SUFFIX)
 
 #--------------------------------------
 # Set project-specific options
@@ -56,6 +56,7 @@
 set(ign_config_install_dir "${CMAKE_INSTALL_DATAROOTDIR}/cmake/${PROJECT_NAME_LOWER}")
 set(ign_pkgconfig_input "${CMAKE_CURRENT_SOURCE_DIR}/config/ignition-cmake.pc.in")
 set(ign_pkgconfig_output "${CMAKE_BINARY_DIR}/ignition-cmake${PROJECT_VERSION_MAJOR}.pc")
+set(ign_pkgconfig_install_dir "${IGN_LIB_INSTALL_DIR}/pkgconfig")
 set(ign_utilities_target ${PROJECT_EXPORT_NAME}-utilities)
 set(ign_utilities_import_target_name ${PROJECT_EXPORT_NAME}::${ign_utilities_target})
 set(ign_utilities_target_output_filename "${ign_utilities_target}-targets.cmake")
@@ -86,11 +87,16 @@
 
 #--------------------------------------
 # Configure and install the pkgconfig file (needed for utilities headers)
+file(RELATIVE_PATH
+  IGN_PC_CONFIG_RELATIVE_PATH_TO_PREFIX
+  "${CMAKE_INSTALL_PREFIX}/${ign_pkgconfig_install_dir}"
+  "${CMAKE_INSTALL_PREFIX}"
+)
 configure_file(${ign_pkgconfig_input} ${ign_pkgconfig_output} @ONLY)
 
 install(
   FILES ${ign_pkgconfig_output}
-  DESTINATION ${IGN_LIB_INSTALL_DIR}/pkgconfig
+  DESTINATION ${ign_pkgconfig_install_dir}
   COMPONENT pkgconfig)
 
 #============================================================================
