=== examples/comp_deps/parent/CMakeLists.txt ===

ign_add_component(parent INTERFACE
  GET_TARGET_NAME parent)

install(
  DIRECTORY include/
  DESTINATION "${IGN_INCLUDE_INSTALL_DIR_FULL}")
