=== debian/changelog ===
ignition-cmake (2.7.0-1) unstable; urgency=medium

  * New upstream version 2.7.0

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 30 Apr 2021 16:03:07 +0000
