=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Section: science
 Priority: optional
 Build-Depends: cmake,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                libjs-mathjax,
                libgtest-dev,
                pkg-config,
                python3
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/science-team/ignition-cmake
 Vcs-Git: https://salsa.debian.org/science-team/ignition-cmake.git
 Rules-Requires-Root: no
