## ignition-cmake 2.8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #============================================================================
 # Initialize the project
 #============================================================================
-project(ignition-cmake2 VERSION 2.7.0)
+project(ignition-cmake2 VERSION 2.8.0)
 
 #--------------------------------------
 # Initialize the IGNITION_CMAKE_DIR variable with the location of the cmake
@@ -43,6 +43,10 @@
 install(DIRECTORY codecheck/
         DESTINATION ${IGN_DATA_INSTALL_DIR}/codecheck)
 
+#--------------------------------------
+# Install the tools files
+install(DIRECTORY tools/
+        DESTINATION ${IGN_DATA_INSTALL_DIR}/tools)
 
 #============================================================================
 # Configure the package to be installed
