=== test/CMakeLists.txt ===
--- 
+++ 
@@ -7,3 +7,5 @@
     ${CMAKE_BINARY_DIR}/test_results
   )
 endif()
+
+add_subdirectory(warning)
