=== examples/prerelease/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)
project(ignition-minimal1 VERSION 1.0.0)
find_package(ignition-cmake2 REQUIRED)
ign_configure_project(VERSION_SUFFIX pre1)
ign_configure_build(QUIT_IF_BUILD_ERRORS)
