=== examples/no_ignition_prefix/include/CMakeLists.txt ===
add_subdirectory(no_ign)
