=== debian/changelog ===
ignition-cmake (2.10.0-2) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Add pkg-config depends, needed for Find*.cmake
  * Bump policy versions (no changes)
  * Drop old Replaces/Breaks (version not in archive)
  * Bump copyright
  * Drop gitlab-ci

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 03 Feb 2022 14:18:37 +0000

ignition-cmake (2.10.0-1) unstable; urgency=medium

  * New upstream version 2.10.0

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 28 Jan 2022 15:59:03 +0000

ignition-cmake (2.9.0-1) unstable; urgency=medium

  * New upstream version 2.9.0

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 06 Oct 2021 15:34:38 +0000

ignition-cmake (2.8.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 23 Aug 2021 15:01:30 +0000

ignition-cmake (2.8.0-1) experimental; urgency=medium

  * Update patch to keep same behaviour
  * Missing field in copyright. Fix Upstream-Name
  * New upstream version 2.8.0
  * Update patches to new version
  * Remove buildsystem=cmake from rules

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 03 Jun 2021 14:37:52 +0000
